{
  lib,
  pkgs,
  ...
}: {
  imports = [];

  fileSystems."/" = {
    device = "root";
    fsType = "tmpfs";
    options = ["size=521M" "mode=755"];
  };
  fileSystems."/persist" = {
    device = "/dev/disk/by-label/nixos";
    fsType = "btrfs";
    options = ["subvol=persist"];
    neededForBoot = true;
  };
  fileSystems."/boot" = {
    device = "/dev/disk/by-label/boot";
    fsType = "ext4";
  };
  fileSystems."/nix" = {
    device = "/dev/disk/by-label/nixos";
    fsType = "btrfs";
    options = ["subvol=nix"];
  };
  #  fileSystems."/var/lib/mailman" = {
  #    device = "/dev/disk/by-label/mailman";
  #    fsType = "ext4";
  #  };

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
}
